GroovyParser.ArrayInitializerContext (Groovy 5.0.0)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ArrayInitializerContext

- org.apache.groovy.parser.antlr4.GroovyParser.ArrayInitializerContext

-     public static class GroovyParser.ArrayInitializerContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ArrayInitializerContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `COMMA()`
    `` | `public TerminalNode` | `COMMA(int i)`
    `` | `public TerminalNode` | `LBRACE()`
    `` | `public TerminalNode` | `RBRACE()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ArrayInitializerContext>` | `arrayInitializer()`
    `` | `public GroovyParser.ArrayInitializerContext` | `arrayInitializer(int i)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public GroovyParser.NlsContext` | `nls(int i)`
    `` | `public List<? extends VariableInitializerContext>` | `variableInitializer()`
    `` | `public GroovyParser.VariableInitializerContext` | `variableInitializer(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public ArrayInitializerContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> COMMA()

    - #### public TerminalNode COMMA(int i)

    - #### public TerminalNode LBRACE()

    - #### public TerminalNode RBRACE()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ArrayInitializerContext> arrayInitializer()

    - #### public GroovyParser.ArrayInitializerContext arrayInitializer(int i)

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public GroovyParser.NlsContext nls(int i)

    - #### public List<? extends VariableInitializerContext> variableInitializer()

    - #### public GroovyParser.VariableInitializerContext variableInitializer(int i)